What are the system requirements for Voxy Tutoring?

For the best experience, we recommend using the following operating systems and web browsers:

Operating Systems: 
  • Windows: Windows 8, Windows 7 SP1 and above, Windows Vista SP2 and above, Windows XP SP3
    • Mac: OS X 10.6 and above
    • Linux: Supported flavors below-
      • 64-bit versions of Red Hat Enterprise Linux 6 and above,
      • Fedora 12 and above, and
      • 64-bit Ubuntu (12.04 LTS and above). 
      • [Note: Only 64 bit version on Linux is currently supported] 
    • [Note: Virtual environment setups like Citrix XenApp etc. are NOT supported

Browsers:
  • Mozilla Firefox 13.0 and above
  • Google Chrome 10.0 and above
  • Apple Safari 5.0 and above (OS X only)
  • Microsoft Internet Explorer 8 and above

Note: Voxy Tutoring is not available on your tablet or mobile device. 
 
Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.